<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerFormulas](./bitburner.bladeburnerformulas.md)

## BladeburnerFormulas interface

Bladeburner formulas

**Signature:**

```typescript
interface BladeburnerFormulas 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [skillMaxUpgradeCount(name, level, skillPoints)](./bitburner.bladeburnerformulas.skillmaxupgradecount.md) | Calculate the number of times that you can upgrade a skill. |

